# Copyright (c) 2015, InfluxFramework LLC
# License: MIT. See LICENSE

import influxframework
import influxframework.www.list
from influxframework import _

no_cache = 1


def get_context(context):
	if influxframework.session.user == "Guest":
		influxframework.throw(_("You need to be logged in to access this page"), influxframework.PermissionError)

	context.current_user = influxframework.get_doc("User", influxframework.session.user)
	context.show_sidebar = True
